// variables
// Popover max width 384px
$gl-popover-max-width: $grid-size * 48;

.gl-popover {
  max-width: $gl-popover-max-width;
  @include gl-border-1;
  @include gl-border-solid;
  @include gl-border-gray-200;
  @include gl-shadow;
  @include gl-font-sm;

  &.bs-popover-top {
    /* When popover position is top, the arrow is translated 1 pixel
    *  due to the box-shadow include in our custom styles.
    */
    > .arrow::before {
      @include gl-border-t-gray-200;
      bottom: 1px;
    }

    > .arrow::after {
      @include gl-bottom-1;
    }
  }

  &.bs-popover-bottom {
    > .arrow::before {
      @include gl-border-b-gray-200;
    }

    > .popover-header::before {
      @include gl-border-white-light;
    }
  }

  &.bs-popover-right > .arrow::before {
    @include gl-border-r-gray-200;
  }

  &.bs-popover-left > .arrow::before {
    @include gl-border-l-gray-200;
  }

  .popover-header {
    @include gl-bg-white-light;
    @include gl-font-sm;
  }

  .popover-body {
    @include gl-py-5;
    @include gl-px-4;

    > .popover-hr {
      @include gl-my-5;
      @include gl-mx-0;
    }
  }

  /**
  * Blue popover variation
  */
  &.blue {
    @include gl-bg-blue-600;
    @include gl-border-blue-600;

    .popover-body {
      @include gl-text-white-light;
    }

    &.bs-popover-bottom {
      .arrow::before,
      .arrow::after {
        @include gl-border-b-blue-600;
      }
    }

    &.bs-popover-top {
      .arrow::before,
      .arrow::after {
        @include gl-border-t-blue-600;
      }
    }

    &.bs-popover-right {
      .arrow::after,
      .arrow::before {
        @include gl-border-r-blue-600;
      }
    }

    &.bs-popover-left {
      .arrow::before,
      .arrow::after {
        @include gl-border-l-blue-600;
      }
    }
  }
}
